#ifndef __EPGSEARCHEXT_H
#define __EPGSEARCHEXT_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include <vdr/status.h>
#include <vdr/plugin.h>
#include <vdr/interface.h>
#include <vdr/skins.h>

#define MAXOSDTEXTWIDTH 45
#define ERROR(T) Skins.Message(mtError, T)
#define INFO(I)  Skins.Message(mtInfo, I)


class cSearchExt : public cListObject {
  friend class cMenuEditSearchExt;
public:
  char     search[MaxFileName];
  int      options;
  int      useTime;
  int      startTime;
  int      stopTime;
  int      useChannel;
  int      useCase;
  int      mode;
  int      useTitle;
  int      useSubtitle;
  int      useDescription;
  cChannel *channel;

  static char *buffer;
public:
  cSearchExt(void);
  virtual ~cSearchExt(void);
  cSearchExt& operator= (const cSearchExt &SearchExt);
  virtual bool operator< (const cListObject &ListObject);

  const char *Search(void) { return search; }
  int Options(void) { return options; }
  int StartTime(void) { return startTime; }
  int StopTime(void) { return stopTime; }
  int UseChannel(void) { return useChannel; }
  cChannel *Channel(void) { return channel; }

  const char *ToText(void);
  bool Parse(const char *s);
  bool Save(FILE *f);
  };

class cSearchExts : public cConfig<cSearchExt> {
private:
public:
  cSearchExts(void);
  };

extern cSearchExts SearchExts;

// --- cMenuEditSearchExt --------------------------------------------------------

class cMenuEditSearchExt : public cOsdMenu {
private:
  cSearchExt *searchExt;
  cSearchExt data;
  int channel;
  int useTime;
  bool addIfConfirmed;
public:
  cMenuEditSearchExt(cSearchExt *SearchExt, bool New = false);
  virtual ~cMenuEditSearchExt();
  void Set();
  virtual eOSState ProcessKey(eKeys Key);
  };

class cMenuEPGSearchExt : public cOsdMenu {
  private:
	eOSState New(void);
	eOSState Delete(void);
  protected:
    	virtual eOSState ProcessKey(eKeys Key);
  public:
    	cMenuEPGSearchExt(void);
	cSearchExt* CurrentSearchExt(void);
	eOSState Search(void);
  };




#endif
