#ifndef __EPGSEARCHRES_H
#define __EPGSEARCHRES_H

#include <vdr/menuitems.h>
#include "epgsearchext.h"

// --- cMenuSearchResultsItem ------------------------------------------------------
class cMenuSearchResultsItem : public cOsdItem {
public:
  const cEvent *eventInfo;
  cMenuSearchResultsItem(const cEvent *EventInfo);
};

class cMenuSearchResults : public cOsdMenu {
private:
  cSearchExt* searchExt;
  bool BuildList(void);
  cEvent *GetEventByTitle(const cSchedule* schedules, const char *p2, const cEvent *Start=NULL);
  cEvent * GetEventBySearchExt(const cSchedule *schedules, cSearchExt* SearchExt, const cEvent *Start);
  virtual eOSState ProcessKey(eKeys Key);
  eOSState Summary(void);
  eOSState Record(void);
  void SetHelpKeys(void);
  eOSState Switch(void);

  static const cEvent *scheduleEventInfo;
  static int currentChannel;
public:
  char *m_pSearchString;
  bool m_bSort;
public:
  cMenuSearchResults(const char *p2);
  cMenuSearchResults(cSearchExt*);
  ~cMenuSearchResults() {free(m_pSearchString);}
  };

#endif
